HTTP/2 with HAProxy

HAProxy will not be able to support connections to clients with HTTP/2 soon. The current development branch is 1.7-dev.

This was made clear during a discussion on their mailing list:

> > As I interpret this right the HTTP/2 will be on the roadmap of 1.8 or 2.0?
> Yes definitely. But I know too well that a community-driven project cannot have a roadmap, just hints for contributors. Also I am a bottleneck because while I review and integrate code I cannot develop. I thought I would have H2 in 1.6 if you remember :-) So let's say that we'll put a lot of efforts into getting H2 in 1.8. I also count a lot on SPOP to help move some contribs outside of the core and to release some of my time :-)

Leave a Comment

comments powered by Disqus